Bug 233196 - Long delay with large amount of tracks in OrganizeFilesDialog after each character in the pattern changed
Summary: Long delay with large amount of tracks in OrganizeFilesDialog after each char...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collections/Local (show other bugs)
Version: 2.4-GIT
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-03 21:18 UTC by Kuba Serafinowski
Modified: 2012-08-19 16:53 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kuba Serafinowski 2010-04-03 21:18:57 UTC
Version:           2.3-GIT (using KDE 4.4.2)
OS:                Linux
Installed from:    openSUSE RPMs

When you change pattern in the dialog it stalls for a few seconds (about 6s for 3k tracks), on every character change.

I guess simple, yet great improvement fix/workaround would be to make it to wait 1 or more seconds to regenerate preview, instead of doing this real time. This way we could make a few changes at once, and that would be actually bearable ;-)
Comment 1 Samuel Brack 2010-12-08 13:39:11 UTC
Confirmed in 2.4-GIT, it's still very slow.
Comment 2 Bart Cerneels 2011-07-11 11:28:48 UTC
Git commit f824e2b5f95b558bd29394b6cc0f1f2367a4de84 by Bart Cerneels.
Committed on 09/07/2011 at 00:11.
Pushed by shanachie into branch 'master'.

Don't block the organizer dialog.

Process in batches instead.

BUG:233196

M  +90   -88   src/dialogs/OrganizeCollectionDialog.cpp     
M  +7    -1    src/dialogs/OrganizeCollectionDialog.h     
M  +47   -2    src/dialogs/TrackOrganizer.cpp     
M  +11   -5    src/dialogs/TrackOrganizer.h     

http://commits.kde.org/amarok/f824e2b5f95b558bd29394b6cc0f1f2367a4de84